Subject: bug#74766: mv cannot move a file from a Linux "portal" file system

From: Bruno Haible <[email-masked]>
Date: Tue, 10 Dec 2024 19:23:05 +0100

Thanks for the investigations.

Paul Eggert wrote:
> Assuming it's a FUSE portal filesystem, the bug could be either in the 
> Linux FUSE kernel module, or (more likely) in the user-space code. I 
> assume you are using GVFS

Yes, indeed:
$ mount
...
portal on /run/user/1000/doc type fuse.portal (rw,nosuid,nodev,relatime,user_id=1000,group_id=1000)
...

> and I reproduced a similar problem, so I 
> filed a bug report with the GVFS folks here:
> 
> https://gitlab.gnome.org/GNOME/gvfs/-/issues/774

Thanks!

Bruno